﻿using IdentityServer.Domain.Entities;
using IdentityServer.Domain.Models;
using System.Threading.Tasks;

namespace IdentityServer.Application.Services
{
    public interface IUserService
    {
        Task<Token> Authenticate(string userName, string password);
        Task<AppUser> Authorize(string token);
    }
}