﻿using AutoMapper;
using IdentityServer.Domain.Entities;
using dto = IdentityServer.PublishedLanguage.Dto;
using models = IdentityServer.Domain.Models;

namespace IdentityServer.Application.Mappings
{
    public class MappingProfile : Profile
    {
        public MappingProfile()
        {
            CreateMap<models.Token, dto.Token>();
            CreateMap<AppUser, dto.User>();
        }
    }
}
